Getting forward secrecy enabled

Vahan Yerkanian vahan at
Wed Oct 2 11:08:37 UTC 2013

On Oct 2, 2013, at 9:57 AM, justin <nginx-forum at> wrote:

> I don't compile nginx, I get it from the official CentOS repo:
> [nginx]
> name=nginx repo
> baseurl=$basearch/
> gpgcheck=0
> enabled=1

That's your problem, that version doesn't support ECDHE.

You'll need to compile your own version, there are lots of guides on the net, one of the first results on Google:

Best regards,
Vahan Yerkanian
Tech. Coordinator
Helix Consulting LLC
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <>

More information about the nginx mailing list